package com.example.martin.projetv5;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageButton;
import android.widget.RelativeLayout;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by martin on 20/02/2017.
 */

public class PriseAdapterMedoc extends BaseAdapter {
    public List<Prise2> mListP;
    public Context mContext;
    public LayoutInflater mInflater;

    public PriseAdapterMedoc(Context context, List<Prise2> aListP){
        mContext = context;
        mListP = aListP;
        mInflater = LayoutInflater.from(mContext);
    }

    public int getCount(){
        return mListP.size();
    }

    public Object getItem(int position){
        return mListP.get(position);
    }

    public long getItemId(int position){
        return position;
    }

    public View getView(int position, View convertView, ViewGroup parent) {
        RelativeLayout layoutItem;

        if (convertView == null) {
            layoutItem = (RelativeLayout) mInflater.inflate(R.layout.prise_medoc, parent, false);
        } else {
            layoutItem = (RelativeLayout) convertView;
        }

        TextView horloge = (TextView) layoutItem.findViewById(R.id.horloge);
        ImageButton change = (ImageButton) layoutItem.findViewById(R.id.boutonConfirm);

        horloge.setText(mListP.get(position).getHeure());
        change.setImageResource(R.drawable.delete);

        change.setTag(position);
        change.setOnClickListener(new View.OnClickListener(){
            @Override
            public void onClick(View v){
                Integer position = (Integer)v.getTag();
                sendListener(mListP.get(position),position);
            }
        });

        return layoutItem;
    }

    public interface PriseAdapterListener{
        void onClickDelete(Prise2 item, int position);
    }

    private ArrayList<PriseAdapterListener> mListListener = new ArrayList<PriseAdapterListener>();

    public void addListener(PriseAdapterListener aListener){
        mListListener.add(aListener);
    }

    private void sendListener(Prise2 item, int position){
        for(int i = mListListener.size()-1; i>=0; i--){
            mListListener.get(i).onClickDelete(item, position);
        }
    }
}
